StartupEvents.registry('block', e => {
    console.log('Creating grist blocks');
	Grist.forEachBlock(grist => {
        console.log(`Create ${grist}`);
		e.create(grist.id())
			.displayName(grist.displayName())
			.tagBlock('mineable/pickaxe')
			.textureAll(grist.blockTexture());
	});
});

StartupEvents.registry('item', e => {
    console.log('Creating grist items');
	Grist.forEach(grist => {
        console.log(`Create ${grist}`);
		e.create(grist.id())
			.displayName(grist.displayName())
			.rarity('rare')
			.fireResistant(true)
			.textureJson({layer0: grist.itemTexture()});
	});
});

StartupEvents.registry('fluid', e => {
    console.log('Creating grist fluids');
	Grist.forEachFluid(grist => {
        console.log(`Create ${grist}`);
		e.create(grist.id())
			.bucketColor(grist.color())
			.thickTexture(grist.color())
			.displayName(grist.displayName());
	});
});